var should = require('should'),
    util = require('util'),
    io = require('socket.io-client'),
    fork = require('child_process').fork,
    http = require('http'),
    request = require('request');

    var ioConfig = {
        'transports': ['websocket'],
        'resource': 'usg',
        'reconnect': false,
        'max reconnection attempts': 1,
        'try multiple transports': false,
        'force new connection': true,
        'secure': false
    };

describe('http plugin tests\n', function() {

    describe('core websocket endpoints\n', function() {

        before(function(done) {
            this.testServerOne = fork('./server.js', [], {silent: false, env: {NODE_ENV: 'testing'}});
            this.testServerOne.on('message', function (msg) {
                if (msg === 'listening') {
                    done();
                }
            });
        });


        after(function(done) {
            this.ws.disconnect();
            this.testServerOne.on('disconnect', function() {
                done();
            });
            this.testServerOne.disconnect();
            this.testServerOne.kill();
        });

        it('status websocket endpoint returns "ok"', function(done) {
            var ws = this.ws = io.connect('http://127.0.0.1:8890', ioConfig);

            ws.on('connect', function() {
                ws.emit('status');
                ws.on('status', function(data) {
                    (data.success).should.be.true;
                    done();
                });
            });

        });

    });
});
